visrec.ri.ml.classification

## Class DeepNettsImageClassifier

- java.lang.Object
- - javax.visrec.AbstractImageClassifier<BufferedImage,deepnetts.net.ConvolutionalNetwork>
  - - visrec.ri.ml.classification.DeepNettsImageClassifier

All Implemented Interfaces:
  javax.visrec.ml.classification.Classifier<BufferedImage,String>

    public class DeepNettsImageClassifier
    extends javax.visrec.AbstractImageClassifier<BufferedImage,deepnetts.net.ConvolutionalNetwork>

TODO: Traffic sign recognition healhcare - skin, radiology caner for bone - MRI vegetarian or non vegeterian food, transportation boxes simple implementation and ditributed implemantayion using th esame api as hazelcast trab what is teh biggest challange for javadeveloper starting tio use it apache or gpl wit classpath , allow dynamic linkoing separate training from using. (resource usage) 3d stereo vision - using conv networks use configuration JSR apache 382 iso standardize containers thermal imaging BIG QUESTION HOW WILL WE INJECT ML MODEL? OR HOW WILL WE PROVIDE PARAMETERS FOR BUILDING INTERNAL MODEL? WE SHOULD BE ABLE TO DO BOTH: incejt model or build internal model using standard, or customized settings

Author:
  Zoran Sevarac

### Nested Class Summary

Nested Classes
`static class` `DeepNettsImageClassifier.Builder`

### Field Summary

Fields
`static Logger` `LOGGER`

### Constructor Summary

Constructors
Constructor and Description
`DeepNettsImageClassifier()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static javax.visrec.util.Builder<DeepNettsImageClassifier>` `builder()`
`Map<String,Float>` `classify(BufferedImage sample)`
`int` `getInputHeight()`
`int` `getInputWidth()`

### Methods inherited from class javax.visrec.AbstractImageClassifier

`classify, classify, getImageFactory, getModel, getThreshold, setModel, setThreshold`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### LOGGER

    public static final Logger LOGGER

### Constructor Detail

#### DeepNettsImageClassifier

    public DeepNettsImageClassifier()

### Method Detail

#### classify

    public Map<String,Float> classify(BufferedImage sample)

#### getInputWidth

    public int getInputWidth()

#### getInputHeight

    public int getInputHeight()

#### builder

    public static javax.visrec.util.Builder<DeepNettsImageClassifier> builder()